aboutsummaryrefslogtreecommitdiff
path: root/src/mcelog
diff options
context:
space:
mode:
authorAdrian C. (anrxc) <anrxc@sysphere.org>2012-11-25 20:24:58 (GMT)
committerAdrian C. (anrxc) <anrxc@sysphere.org>2012-11-25 20:24:58 (GMT)
commit16262790cb6ddacf6c632625cc865e03b1b8671f (patch)
tree09898d65deef518380915ecdc7575756c9ca8595 /src/mcelog
parent7bb1499a7cd539f714bb7f603d7fc0a38fd8a963 (diff)
downloadrcdscripts-16262790cb6ddacf6c632625cc865e03b1b8671f.tar.xz
rcdscripts: import first snapshot of rc.d scripts as of 11.25.20122012.11.25
In 30 days these scripts will start dissapearing from official Arch Linux packages. This is an attempt to conserve them, and keep sysvinit usable.
Diffstat (limited to 'src/mcelog')
-rwxr-xr-xsrc/mcelog/mcelog.rc37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/mcelog/mcelog.rc b/src/mcelog/mcelog.rc
new file mode 100755
index 0000000..fb73743
--- /dev/null
+++ b/src/mcelog/mcelog.rc
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/mcelog`
+case "$1" in
+ start)
+ stat_busy "Starting mcelog"
+ if [ -z "$PID" ]; then
+ /usr/sbin/mcelog --daemon --pidfile /var/run/mcelog.pid
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon mcelog
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping mcelog"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon mcelog
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac